<?php
/*
* @ServerMon v1.1
* @Developed by Maksa988
* @www.Server-Mon.ru
* @Copyright (C) 2014
*/
 if(!defined('SMON'))
	die('Hacking attempt!');
	
class user extends Controller {
	public function __construct() {
		$this->header();
		$this->data['activeSection'] = 'register';
		$this->data['navbarName'] = 'Регистрация';

		if(!empty($_SESSION['user_id'])):
			return $this->view(array('common/header', 'user/access', 'common/footer'), $this->data); //Загружаем шаблон
		endif;
		
		$this->model('users');
		
		if($this->POST('reg')):
			$login = $this->POST('login');
			$email = $this->POST('email');
			$password = $this->POST('password');
			$password2 = $this->POST('password2');
			
			if($login && $email && $password && $password2):
				if(!$this->usersModel->checkUser($login)):
					if($password == $password2):
						if(preg_match('/@/i', $email)):
							$pass = md5($password);
							if($this->usersModel->createUser($login, $email, $pass)):
								$this->data['success'] = 'Вы успешно зарегестрировались!';
							else:
								$this->data['error'] = 'При регистрации произошла ошибка!';
							endif;
						else:
							$this->data['error'] = 'Неверно введен e-mail адрес!';
						endif;
					else:
						$this->data['error'] = 'Пароли не совпадают!';
					endif;
				else:
					$this->data['error'] = 'Логин уже занят. Придумайте другой!';
				endif;
			else:
				$this->data['error'] = 'Все поля обязательны к заполнению!';
			endif;
		endif;
		
		return $this->view(array('common/header', 'user/register', 'common/footer'), $this->data); //Загружаем шаблон
	}
}